CC=gcc
CFLAGS=-O3 -fPIC
LOADLIBES=libzerg.a
PREFIX=/usr/local/libzerg

libzerg.a: zerglexer.o
	ar rc $@ $^
	ranlib libzerg.a

zerglexer.o: zerglexer.c zerg.h

lex.zerg.c: zerglexer.lex
	flex -Cf zerglexer.lex

zerglexer.c: lex.zerg.c
	perl -pe 's/ret_val = EOB_ACT_CONTINUE_SCAN;/ret_val = EOB_ACT_CONTINUE_SCAN;\n\nDESCONTA;/; s/\#define YY_BUF_SIZE 16384/\#define YY_BUF_SIZE 2097152/' lex.zerg.c > zerglexer.c

clean:
	rm -f *.o *~ zerglexer.c libzerg.a lex.zerg.c

install:
	mkdir -m 0755 -p ${PREFIX}/lib ${PREFIX}/include; \
	cp libzerg.a ${PREFIX}/lib; \
	cp zerg.h ${PREFIX}/include
